std::atomic_flag_test,std::atomic_flag_test_explicit(3)

NAME
std::atomic_flag_test,std::atomic_flag_test_explicit - std::atomic_flag_test,std::atomic_flag_test_explicit

Synopsis
   Defined in header <atomic>
   bool atomic_flag_test( const volatile
   std::atomic_flag* object ) noexcept;
   bool atomic_flag_test( const std::atomic_flag*
   object ) noexcept;
   bool atomic_flag_test_explicit( const volatile (1) (since C++20)
   std::atomic_flag* object,
   std::memory_order order ) noexcept; (2) (since C++20)
   bool atomic_flag_test_explicit( const
   std::atomic_flag* object,
   std::memory_order order ) noexcept;
   Atomically reads the value of the *object and returns the value.
   1) Equivalent to object->test(std::memory_order_seq_cst).
   2) Equivalent to object->test(order).

Parameters
   object - pointer to the atomic_flag object to read
   order - the memory synchronization ordering for this operation: must not be
            std::memory_order::release or std::memory_order::acq_rel

Return value
   The value atomically read.

Notes
   Feature-test macro: __cpp_lib_atomic_flag_test

Example
    This section is incomplete
    Reason: no example

See also
   test atomically returns the value of the flag
   (C++20) (public member function of std::atomic_flag)